> For the complete documentation index, see [llms.txt](https://docs.atomicalmarket.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atomicalmarket.com/api/guides/error-codes.md).

# Error Codes

<table><thead><tr><th width="322">Error Code</th><th>Description</th></tr></thead><tbody><tr><td>UNKNOWN</td><td></td></tr><tr><td>NOT_FOUND</td><td>URL path not found.</td></tr><tr><td>INTERNAL_SERVER_ERROR</td><td></td></tr><tr><td>VALIDATION</td><td>Query , body or response data validation error.</td></tr><tr><td>PARSE</td><td>Body parse error.</td></tr><tr><td>INDEXER_SERVICE_ERROR</td><td></td></tr><tr><td>INVALID_CONTAINER</td><td>Invalid atomicals container</td></tr><tr><td>WALLET_ADDRESS_NOT_MATCH</td><td>Listing validation error. When a malicious user try to list an UTXO he/she doesn't own.</td></tr><tr><td>LISTINGS_NOT_AVAILABLE</td><td>Happens when a user try to buy an listing which already unlisted or the UTXO is no longer unavailable (Might be already sold in another market)</td></tr><tr><td>LISTING_ALREADY_EXIST</td><td>Listing validation error. Wen a user try to list a UTXO which has already been listed.</td></tr><tr><td>INVALID_PSBT</td><td></td></tr><tr><td>INVALID_ADDRESS</td><td></td></tr><tr><td>TRANSACTION_FAILED</td><td></td></tr><tr><td>PRICE_TOO_LOW</td><td>Listing validation error. When seller price is lower than 1000 sats for a listing.</td></tr><tr><td>INVALID_UTXO</td><td></td></tr><tr><td>MULTIPLY_ATOMICALS_UTXO</td><td>Listing validation error. Happens when a user try to list an UTXO with multiple atomicals in it. For example an NFT and 1000 atom in an UTXO. Need to notify user we don't support this for now. </td></tr><tr><td>ATOMICALS_ID_MISMATCH</td><td>Listing validation error. Wen a malicious user try to list token "A" as token "B". </td></tr><tr><td>INSUFFICIENT_BALANCE</td><td>Buying validation error. When a user don't have enough balance to make the purchase.</td></tr><tr><td>TICKER_NOT_FOUND</td><td>Cannot find token info by name from the indexer. Maybe a wrong token name. </td></tr><tr><td>INVALID_SERVICE_FEE</td><td>Buying validation error. When a malicious user doesn't put the right amount of service fee in the signed psbt. </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.atomicalmarket.com/api/guides/error-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
